package test.servlet;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public class SessionTest extends HttpServlet {

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		//クライアントに出力する準備する
		resp.setContentType("text/html; charset=utf-8");
		PrintWriter pw = resp.getWriter();

		//Sessionオブジェクトを取得する
		HttpSession hs = req.getSession();

		//Sessionにデータをセット
		hs.setAttribute("data", "Sessionを使ってデータを渡す");

		//クライアントにHTMLタグを書き出し
		pw.println("<html>");
		pw.println("<head>");
		pw.println("<title>Sessionテスト</title>");
		pw.println("</head>");
		pw.println("<body>");
		pw.println("  <a href=\"SessionTest.jsp\">次のページへ</a>");
		pw.println("</body>");
		pw.println("</html>");
	}

}
